[Story] Format identifiers as Links
Closed, ResolvedPublic

Description

Identifiers should be linked using the formatter URL statement on the property. We need a formatter that does this.

Implementation note: implementing this is complicated by the fact that the formatter URL is per property, while ValueFormatters are registered per data type. We have to first invent a way to pass the relevant information to the formatter, along with the data value.

Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher raised the priority of this task from to Normal.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 10 2015, 1:18 PM

Note: Some properties need special formatting. For example, ISNI needs removing spaces in strings. See getLinkValueForString function in https://www.wikidata.org/wiki/MediaWiki:Gadget-AuthorityControl.js

@Bugreporter: Ah that is good to know. Thanks for bringing it up.

@Bugreporter: We would need to implement normalization (aka parsing) and validation based on patterns defined on-wiki (as regular expressions, perhaps, or even using Lua). That would be possible, but it's not trivial to get it right. Both security and performance need to be considered.

Jonas renamed this task from new formatter to format identifiers as URLs to [Story] new formatter to format identifiers as URLs.Aug 15 2015, 7:20 PM
Jonas set Security to None.
daniel updated the task description. (Show Details)Sep 15 2015, 10:34 AM
daniel renamed this task from [Story] new formatter to format identifiers as URLs to [Story] new formatter to format identifiers as Links.Sep 16 2015, 2:45 PM
Jonas renamed this task from [Story] new formatter to format identifiers as Links to [Story] Format identifiers as Links.Nov 23 2015, 2:38 PM

I just wanted to point out that we would need to purge the parser cache for this. Please let's coordinate deployment of this with other HTML changes.

I just wanted to point out that we would need to purge the parser cache for this. Please let's coordinate deployment of this with other HTML changes.

I don't see why we would have to purge. Just let the new formatting take effect when the page is re-rendered. Seeing IDs the old way for a while shouldn't be a problem.

For things that change the UI more fundamentally, like putting IDs into a separate section, we may want to purge to avoid confusion.

Anyway, from the coding the coding side, the question is whether we need a feature switch for the new formatting. I suppose the easiest way would be to simply not enable the new identifier data type until everything is ready.

I don't see why we would have to purge. Just let the new formatting take effect when the page is re-rendered. Seeing IDs the old way for a while shouldn't be a problem.

For things that change the UI more fundamentally, like putting IDs into a separate section, we may want to purge to avoid confusion.

We don't have to, technically, but usually we always purge if only for consistency reasons. In this specific case we could probably avoid it since the authority control gadget would probably hide inconsistencies; we should purge eventually, though.

Bene moved this task from Proposed to Done on the Wikidata-Sprint-2016-02-16 board.
Bene closed this task as Resolved.
Bene claimed this task.